> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vecurity.net/llms.txt
> Use this file to discover all available pages before exploring further.

# [POST] Update Domain Mode

> The purpose of this endpoint is to set the mode of a domain by bulk updating all records modes.

<Info>
  **Prerequisite:**&#x20;

  Please ensure you have read the VISE Overview before proceeding as the API endpoint is based on your VISE url which is dynamic.

  Where vise-url is mentioned, we are referring to your actual VISE domain, not 'vise-url'. Explained in the VISE overview.
</Info>

<Warning>
  All requests to the Vecurity VISE API requires Session creation in tandem with your Vecurity API token in order to make use of the API Endpoints. More details can be found the [VISE Authentication](/api-reference/endpoint/vecurity-vise/vise-authentication) page.

  If you require support here, please get in touch with our Live chat or [support@vecurity.net](mailto:support@vecurity.net)
</Warning>

#### HTTP Endpoint `POST`

```
https://{VISE-URL}/api/domain_modes
```

#### Headers

```
Authorization: Bearer {your_api_token}
```

#### Query Parameters

```
Authorization: Bearer {your_api_token}
- domain_id - String (required) - A unique GUID identifier for a domain.
- domain_mode_id - String (string) - A unique GUID identifier for a domain mode (Provided by domain modes endpoint).
```

#### Endpoint Description

The purpose of this endpoint is to bulk update record modes within a specific domain.

#### Response Example

<CodeGroup>
  ```json 200 theme={null}
  {
    "message": "Successfully updated record",
    "status_code": 200,
    "timestamp": "YYYY-MM-DDTHH:MM:SS UTC"
  }
  ```
</CodeGroup>
